%define pkgname   dirsrv

Summary:          Red Hat Administration Server (admin)
Name:             redhat-ds-admin
Version:          8.2.1
Release:          1%{?dist}
License:          GPLv2 and ASL 2.0
URL:              http://www.redhat.com/directory_server
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    nspr-devel
BuildRequires:    nss-devel
BuildRequires:    svrcore-devel
BuildRequires:    mozldap-devel
BuildRequires:    cyrus-sasl-devel
BuildRequires:    icu
BuildRequires:    libicu-devel
BuildRequires:    httpd-devel
BuildRequires:    apr-devel
BuildRequires:    mod_nss
BuildRequires:    adminutil-devel

Requires:         redhat-ds-base
Requires:         mod_nss
# the following are needed for some of our scripts
Requires:         perl-Mozilla-LDAP
Requires:         nss-tools

# for the init script
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

Source0:          %{name}-%{version}.tar.bz2
# redhat-ds-cvs.sh should be used to generate the source tarball from CVS
Source1:          %{name}-cvs.sh

%description
Red Hat Administration Server is an HTTP agent that provides management features
for Red Hat Directory Server.  It provides some management web apps that can
be used through a web browser.  It provides the authentication, access control,
and CGI utilities used by the console.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-rpath

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64 ppc64 ia64 s390x sparc64
export USE_64=1
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 

make DESTDIR="$RPM_BUILD_ROOT" install

# make console jars directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java

#remove libtool and static libs
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.so
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/modules/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%pre -p <lua>
-- save ownership/permissions on the dirs/files that rpm changes
-- if these don't exist, the vars will be nil
%{pkgname}admin_adminserv = posix.stat('%{_sysconfdir}/%{pkgname}/admin-serv')
%{pkgname}admin_consoleconf = posix.stat('%{_sysconfdir}/%{pkgname}/admin-serv/console.conf')

%post -p <lua>
-- do the usual daemon post setup stuff
os.execute('/sbin/chkconfig --add %{pkgname}-admin')
os.execute('/sbin/ldconfig')
-- restore permissions if upgrading
if %{pkgname}admin_adminserv then
    posix.chmod('%{_sysconfdir}/%{pkgname}/admin-serv', %{pkgname}admin_adminserv.mode)
    posix.chown('%{_sysconfdir}/%{pkgname}/admin-serv', %{pkgname}admin_adminserv.uid, %{pkgname}admin_adminserv.gid)
end
if %{pkgname}admin_consoleconf then
    posix.chmod('%{_sysconfdir}/%{pkgname}/admin-serv/console.conf', %{pkgname}admin_consoleconf.mode)
    posix.chown('%{_sysconfdir}/%{pkgname}/admin-serv/console.conf', %{pkgname}admin_consoleconf.uid, %{pkgname}admin_consoleconf.gid)
end

%preun
if [ $1 = 0 ]; then
        /sbin/service %{pkgname}-admin stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del %{pkgname}-admin
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/admin-serv
%config(noreplace)%{_sysconfdir}/%{pkgname}/admin-serv/*.conf
%{_datadir}/%{pkgname}
%{_initrddir}/%{pkgname}-admin
%config(noreplace)%{_sysconfdir}/sysconfig/%{pkgname}-admin
%{_sbindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{pkgname}
%{_mandir}/man8/*

%changelog
* Fri Jan 28 2011 Nathan Kinder <nkinder@redhat.com> - 8.2.1-1
- Resolves: bug 672468
- Description: Avoid empty path elements in library search paths
- pulled from git tag Directory_Server_8_2_Errata_Candidate_10610_20110128

* Tue Jun  8 2010 Nathan Kinder <nkinder@redhat.com> - 8.2.0-3
- Resolves: 601865
- Description: added missing manpages
- pulled from git tag Directory_Server_8_2_Candidate_20100608

* Wed May 26 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-2
- 8.2 release candidate
- pulled from git tag Directory_Server_8_2_Candidate_20100526

* Thu Feb 11 2010 Nathan Kinder <nkinder@redhat.com> - 8.2.0-1
- rewrite perm/owner preservation code to use lua
- change license to GPLv2 + ASL 2.0
- changed files that were incorrectly licensed as GPLv2+ to plain GPLv2

* Wed Apr  8 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-9
- Resolves: bug 494980
- Description: setup-ds-admin.pl -u and silent setup complain about ServerIpAddress
- CVS tag Directory_Server_8_1_Candidate_20090408

* Fri Apr  3 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-8
- Resolves: bug 493989
- Description: Admin Server: valgrind invalid read in security.c when installing CRL
- CVS tag Directory_Server_8_1_Candidate_20090403

* Tue Mar 17 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-7
- Updated to latest sources.
- CVS tag FedoraDirSrvAdmin_1_1_7 and FedoraDirSrvAdmin_1_1_7_20090317

* Mon Mar  2 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-6
- Resolves: bug 488098
- Description:  RHEL4 DS 8.1 migration fails with permissions problem - admin server configuration files
- Needed to use %m instead of %M
- Pick up latest fixes
- CVS tag FedoraDirSrvAdmin_1_1_7 and FedoraDirSrvAdmin_1_1_7_20090302

* Fri Feb 27 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-5
- added man pages for setup, migration, remove commands
- better error handling for command line utilities
- fixed remove from console
- added remove-ds-admin.pl
- CVS tag FedoraDirSrvAdmin_1_1_7 and FedoraDirSrvAdmin_1_1_7_20090227

* Wed Feb 25 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-4
- new setup/upgrade/migration code - make sure console is updated
- correctly after migration - never delete entries when doing instance
- creation/setup/upgrade/migration

* Tue Feb 10 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-3
- fix minor valgrind issue with security CGI
- CVS tag FedoraDirSrvAdmin_1_1_7 and FedoraDirSrvAdmin_1_1_7_20090210

* Mon Feb  9 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-2
- updated source for bug fixes
- added pre and post sections in order to preserve the permissions and ownerships
- of admin-serv and console.conf upon upgrade install

* Thu Jan  8 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-1
- initial commit for 8.1.0 release

* Thu Jul 24 2008 Rich Megginson <rmeggins@redhat.com> - 8.0.4-3
- Resolves: bug 431103 - CRM 1803696 Unable to register a new RHDS 8.0 to a configuration server
- the bug was reopened due to a QA failure

* Tue Jul 15 2008 Rich Megginson <rmeggins@redhat.com> - 8.0.4-2
- build system tagging fixed - rebuilding

* Mon Jul 14 2008 Rich Megginson <rmeggins@redhat.com> - 8.0.4-1
- Resolves: bug 431103 - CRM 1803696 Unable to register a new RHDS 8.0 to a configuration server
- Resolves: bug 452323 - RHDS80 Console - Create new instance fails (only) after admin server restart 
- Resolves: bug 442103 - RHDS8.0 "manage certificates" and ssl in console java.lang.NullPointerException
- Removed obsoleted patch files

* Fri Mar 14 2008 Rich Megginson <rmeggins@redhat.com> - 8.0.0-6
- forgot to add the patch commands for bug 437320 bug 437301 to the rhel4 spec file

* Thu Mar 13 2008 Rich Megginson <rmeggins@redhat.com> - 8.0.0-5
- Resolves: bug 437320
- added admserv.conf.patch
- disallow direct access to /bin/admin/admin/bin/
- Resolves: bug 437301
- added repl-monitor-cgi.pl.patch
- None of the CGI params are used anymore, except the refreshinterval,
- which is passed to int() first to strip all non numerics.  The
- repl monitor config file is now hard coded to be
- /etc/dirsrv/admin-serv/replmon.conf - this file must be present and
- configured correctly in order for the repl mon cgi to work

* Tue Dec 18 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-4
- fixes GA stopper Bug 426056: Unable to connect to admin express via SSL - firefox cipher issues?
- new RHDS 8.0.0 GA candidate

* Mon Dec 17 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-3
- fixes GA stopper bugs 425861: Instance creation through console is broken
- and 425849: migrate-ds-admin.pl spins at 100% cpu
- new GA candidate

* Tue Dec 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-2
- this is the GA candidate

* Tue Dec 10 2007 Noriko Hosoi <nhosoi@redhat.com> - 8.0.0-1.16
- fix several ga blocker issues
- add dependency on nss-tools

* Tue Nov  6 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.15
- fix several beta blocker issues

* Thu Oct 11 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.14
- make admin server work with SELinux enabled
- fix wording errors in setup

* Mon Oct  8 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.13
- added /etc/sysconfig/dirsrv-admin the file that allows you to set
- the environment used to start up the admin server (e.g. keytab, ulimit, etc.)
- the initscript and admin start script use this file now
- This version also has a fix to print the correct error message if the admin
- server cannot be contacted during setup or migration.

* Thu Sep 27 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.12
- fix a couple of migration issues, including the rpath $libdir problem
- allow ds_remove from console to remove instances

* Wed Sep 19 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.11
- one line fix to fix of 295001 - console.conf clobbered

* Tue Sep 18 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.10
- fixed migration issue bugzilla 295001 - console.conf clobbered

* Fri Sep 14 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.9.el5dsrv
- several more migration fixes

* Fri Sep 14 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.8.el5dsrv
- fix migration - migration will now start servers

* Tue Aug 21 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.7.el5dsrv
- fix with-fhs-opt configure option

* Fri Aug 17 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.6.el5dsrv
- remove curses
- make mod_admserv link against sasl
- add the usual .m4 files to mod_admserv instead of having all of
- the component logic in configure.in

* Thu Aug 16 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.5.el5dsrv
- incorporate Noriko's migration fix

* Wed Aug 15 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.4.el5dsrv
- fix several migration related problems

* Mon Aug 13 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.3.el5dsrv
- There is no devel package, so remove unused .so files

* Mon Aug 13 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.2.el5dsrv
- forgot to tag modules

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.1.el5dsrv
- use pkgname of dirsrv for filesystem path naming
- get rid of devel package
- simplify files section

* Fri Aug 10 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.4.el5dsrv
- updated to latest sources
- upgraded the mozldap version to 6.0.4

* Wed Aug  8 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.3.el5dsrv
- removed cvsdate; set release to 3 to avoid the conflict

* Wed Aug  8 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.2.el5dsrv
- update to latest sources

* Mon Aug  6 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.1.el5dsrv
- update to latest sources

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.2.el5dsrv
- use correctly versioned source

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.1.el5dsrv
- version should be 8.0.0

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.6.el5dsrv
- There are no files in bindir anymore
- forgot to prepend build root to java dir creation
- forgot to add mod_admserv and mod_restartd to source

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.5.el5dsrv
- updated to latest sources - fix build breakage
- add console jars dir under html

* Thu Jul 26 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.4.el5dsrv
- Only use --with-fortitude on rhel4

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.3.el5dsrv
- Replace fortitude-mod_nss with plain 'ol mod_nss, mozldap6 -> mozldap

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.2.el5dsrv
- Remove dirsec references

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.1.el5dsrv
- Remove cvsdate from Release number

* Wed Jul 25 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.1.20070725
- Initial version based on fedora-ds-admin.spec
